# Dusk

Build a multiplayer game played by millions! Your game runs inside the Dusk app with 10 million installs across [iOS](https://apps.apple.com/app/rune-games-and-voice-chat/id1450358364) and [Android](https://play.google.com/store/apps/details?id=ai.rune.tincan). You focus on your game, Dusk handles everything else, incl. servers and networking.

You can make your game using JavaScript / TypeScript and your favorite web framework such as React, Svelte, Vue, Threejs, PixiJS, Phaser. The Dusk app has friends, messaging, spectating and voice chat built-in to turn your game into an incredible multiplayer experience.

## Features

- **Social**: Dusk has messaging and voice chat so players can hang out together and talk about your game.
- **Fast & Reliable**: Our predict-rollback netcode updates clients immediately and the server resolves conflicts.
- **Free**: We pay for servers, voice chat, and everything else. It's 100% free to launch your game on Dusk.

## Documentation

- [Quick Start](https://developers.dusk.gg/docs/quick-start)
- [Philosophy](https://developers.dusk.gg/docs/how-it-works/philosophy)
- [Syncing Game State](https://developers.dusk.gg/docs/how-it-works/syncing-game-state)
- [Simulating Multiplayer](https://developers.dusk.gg/docs/publishing/simulating-multiplayer)
- [SDK API Reference](https://developers.dusk.gg/docs/api-reference)

## Packages

- [eslint-plugin-rune](https://github.com/rune/rune/tree/staging/packages/eslint-plugin-rune) – rules and config for writing safe logic code for the Dusk SDK
- [rune-games-cli](https://github.com/rune/rune/tree/staging/packages/rune-games-cli) – command line tool to develop and upload your HTML5 game for Dusk
- [vite-plugin-rune](https://github.com/rune/rune/tree/staging/packages/vite-plugin-rune) – Vite plugin for writing games for the Dusk SDK

## Community

Have a question or want to discuss with others how to make an amazing multiplayer game? Join our [Discord server](https://discord.gg/rune-devs)!

[![Discord Follow](https://dcbadge.vercel.app/api/server/rune-devs?style=flat)](https://discord.gg/rune-devs)
